中望CAD根据用户输入画线

我也是刚开始接触中望CAD的二次开发,感觉好艰难啊。走一步都很困难。今天修改例程,根据用户输入实现了画线。源代码如下:

void InputLine()
{ 
	ads_point startPt,endPt;
    acedInitGet(RSG_NONULL,NULL);
    int rc=acedGetPoint(NULL,_T("Input an Point:\n"),startPt);
	 int rd=acedGetPoint(NULL,_T("Input an Point:\n"),endPt);

    AcGePoint3d s= asPnt3d(startPt);
	
    AcGePoint3d e= asPnt3d(endPt);
//	AcGePoint3d endPt(10.0, 7.0, 0.0);
	AcDbLine *pLine = new AcDbLine(s, e);
	AcDbLine objLine;
	pLine->startPoint();
	objLine.startPoint();

	AcDbBlockTable *pBlockTable;
	acdbHostApplicationServices()->workingDatabase()->getSymbolTable(pBlockTable, AcDb::kForRead);

	AcDbBlockTableRecord *pBlockTableRecord;
	pBlockTable->getAt(ACDB_MODEL_SPACE, pBlockTableRecord,	AcDb::kForWrite);
	pBlockTable->close();

	AcDbObjectId lineId;
	pBlockTableRecord->appendAcDbEntity(lineId, pLine);

	pBlockTableRecord->close();
	pLine->close();
}

 

 

 

 

 

评论 1
添加红包

请填写红包祝福语或标题

红包个数最小为10个

红包金额最低5元

当前余额3.43前往充值 >
需支付:10.00
成就一亿技术人!
领取后你会自动成为博主和红包主的粉丝 规则
hope_wisdom
发出的红包
实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、付费专栏及课程。

余额充值